/* $Id: xfsm-chooser-trash.h,v 1.1 2004/06/05 12:46:22 benny Exp $ */
/*-
 * Copyright (c) 2004 Benedikt Meurer <benny@xfce.org>
 * All rights reserved.
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2, or (at your option)
 * any later version.
 *                                                                              
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *                                                                              
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA
 * 02111-1307, USA.
 */

#ifndef __XFSM_CHOOSER_TRASH_H__
#define __XFSM_CHOOSER_TRASH_H__

#include <gtk/gtk.h>

G_BEGIN_DECLS

#define XFSM_TYPE_CHOOSER_TRASH xfsm_chooser_trash_get_type()
#define XFSM_CHOOSER_TRASH(obj) G_TYPE_CHECK_INSTANCE_CAST(obj, XFSM_TYPE_CHOOSER_TRASH, XfsmChooserTrash)
#define XFSM_CHOOSER_TRASH_CLASS(klass) G_TYPE_CHECK_CLASS_CAST(klass, XFSM_TYPE_CHOOSER_TRASH, XfsmChooserTrashClass)
#define XFSM_IS_CHOOSER_TRASH(obj) G_TYPE_CHECK_INSTANCE_TYPE(obj, XFSM_TYPE_CHOOSER_TRASH)

typedef struct _XfsmChooserTrash XfsmChooserTrash;
typedef struct _XfsmChooserTrashClass XfsmChooserTrashClass;

struct _XfsmChooserTrashClass
{
  GtkWindowClass parent_class;
};

struct _XfsmChooserTrash
{
  GtkWindow parent;

  /*< private >*/
  GdkDrawable *background;
  GdkDrawable *pixmap;
  GdkPixbuf   *icon_normal;
  GdkPixbuf   *icon_drop;
  gboolean     drag_hilight;
};

GType xfsm_chooser_trash_get_type (void) G_GNUC_CONST;

G_END_DECLS

#endif /* !__XFSM_CHOOSER_TRASH_H__ */
